Subject: bug#43752: closed (Re: bug#43752: emacs-racer fails to install)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 07 Nov 2020 23:52:02 +0000

Your bug report

#43752: emacs-racer fails to install

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43752: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43752
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43752: emacs-racer fails to install
From: Nicolas Goaziou <[email-masked]>
To: [email-masked]
Date: Sun, 08 Nov 2020 00:51:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

TomÃ¡s OrtÃ­n FernÃ¡ndez via Bug reports for GNU Guix <[email-masked]>
writes:

> I get the same error. It seems this is an issue in upstream with Emacs 27.1:
>
> https://github.com/racer-rust/emacs-racer/issues/136

I applied a workaround, waiting for upstream to fix it properly.

Thank you for the report.

Regards,
-- 
Nicolas Goaziou

Subject: emacs-racer fails to install
From: Luis Felipe <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 01 Oct 2020 23:21:12 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Trying to install emacs-racer with guix b61e057 in the Guix System, I get the following error:

starting phase `set-SOURCE-DATE-EPOCH'
phase `set-SOURCE-DATE-EPOCH' succeeded after 0.0 seconds
starting phase `set-paths'
environment variable `PATH' set to `/gnu/store/k826y34z8zzjj57jv2nldmpw6vsdd145-emacs-minimal-27.1/bin:/gnu/store/06rcmjzlg7i4bbyjfb3jj2g139gq88vb-emacs-ert-runner-0.8.0/bin:/gnu/store/v6f44zccwh9z5zk3pjlywjybbi8n2hjh-tar-1.32/bin:/gnu/store/ncydgq2znms5n1d2k5yqshhf58nsixwv-gzip-1.10/bin:/gnu/store/i8h2pcxqdq07ijm3ibkka8f4smn1w48v-bzip2-1.0.8/bin:/gnu/store/9860f1abqj8wjjnwl8a9v54pdcc3bhgf-xz-5.2.4/bin:/gnu/store/60g7r3l01fd7c58yjbm6krgcwj1jkpwg-file-5.38/bin:/gnu/store/n4n560pfvvw50a9369axw5vj5rrqfj1n-diffutils-3.7/bin:/gnu/store/cd5qf3kcnlq35p9k392pjdpdzpsnds70-patch-2.7.6/bin:/gnu/store/hic7snhayfl7m6cpfqqr73nmm19bpqkg-findutils-4.7.0/bin:/gnu/store/swqdvwri9dbv6zssg6v0by7l05hd6wxp-gawk-5.0.1/bin:/gnu/store/ishk7fswcs4gkwcp8mh788z4mvvl9bxh-sed-4.8/bin:/gnu/store/bhs4rj58v8j1narb2454raan2ps38xd8-grep-3.4/bin:/gnu/store/57xj5gcy1jbl9ai2lnrqnpr0dald9i65-coreutils-8.32/bin:/gnu/store/hm40bxnv8jxmbc1lpb7zfimii4xm9m81-make-4.3/bin:/gnu/store/pwcp239kjf7lnj5i4lkdzcfcxwcfyk72-bash-minimal-5.0.16/bin:/gnu/store/mpa04aq8lblbcviyxywxcsb1zbi0mf39-ld-wrapper-0/bin:/gnu/store/m1z7cdbqsqyp9xnjw5cvlb4a7gkcg3m4-binutils-2.34/bin:/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/bin:/gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/bin:/gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/sbin'
environment variable `EMACSLOADPATH' set to `/gnu/store/k826y34z8zzjj57jv2nldmpw6vsdd145-emacs-minimal-27.1/share/emacs/site-lisp:/gnu/store/k826y34z8zzjj57jv2nldmpw6vsdd145-emacs-minimal-27.1/share/emacs/27.1/lisp:/gnu/store/06rcmjzlg7i4bbyjfb3jj2g139gq88vb-emacs-ert-runner-0.8.0/share/emacs/site-lisp:/gnu/store/f0r4nap8dvvyphayrzs675kpcxggliqq-emacs-undercover-0.6.1/share/emacs/site-lisp:/gnu/store/qwn03vpjmvsjxc0f93ixqkfyx8mpz570-emacs-dash-2.17.0/share/emacs/site-lisp:/gnu/store/mp1capp3rl22yiaz77x44d0qb92haln6-emacs-f-0.20.0/share/emacs/site-lisp:/gnu/store/x2jx23p9z3c3g5gp69s8ymqh2snw2ib6-emacs-pos-tip-0.4.6/share/emacs/site-lisp:/gnu/store/bs2gcy0w3798phdzxkjr0kwaym1fm9ay-emacs-rust-mode-0.4.0/share/emacs/site-lisp:/gnu/store/jx4pw56fck995px91k1l370q7mgx5r51-emacs-s-1.12.0/share/emacs/site-lisp:/gnu/store/s36ns7354hcr02n4i3ysibpq99rcl77g-emacs-shut-up-0.3.2/share/emacs/site-lisp'
environment variable `INFOPATH' set to `/gnu/store/k826y34z8zzjj57jv2nldmpw6vsdd145-emacs-minimal-27.1/share/info:/gnu/store/qwn03vpjmvsjxc0f93ixqkfyx8mpz570-emacs-dash-2.17.0/share/info:/gnu/store/v6f44zccwh9z5zk3pjlywjybbi8n2hjh-tar-1.32/share/info:/gnu/store/ncydgq2znms5n1d2k5yqshhf58nsixwv-gzip-1.10/share/info:/gnu/store/n4n560pfvvw50a9369axw5vj5rrqfj1n-diffutils-3.7/share/info:/gnu/store/hic7snhayfl7m6cpfqqr73nmm19bpqkg-findutils-4.7.0/share/info:/gnu/store/swqdvwri9dbv6zssg6v0by7l05hd6wxp-gawk-5.0.1/share/info:/gnu/store/ishk7fswcs4gkwcp8mh788z4mvvl9bxh-sed-4.8/share/info:/gnu/store/bhs4rj58v8j1narb2454raan2ps38xd8-grep-3.4/share/info:/gnu/store/57xj5gcy1jbl9ai2lnrqnpr0dald9i65-coreutils-8.32/share/info:/gnu/store/hm40bxnv8jxmbc1lpb7zfimii4xm9m81-make-4.3/share/info:/gnu/store/pwcp239kjf7lnj5i4lkdzcfcxwcfyk72-bash-minimal-5.0.16/share/info:/gnu/store/m1z7cdbqsqyp9xnjw5cvlb4a7gkcg3m4-binutils-2.34/share/info:/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/share/info:/gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/share/info'
environment variable `BASH_LOADABLES_PATH' unset
environment variable `C_INCLUDE_PATH' set to `/gnu/store/k826y34z8zzjj57jv2nldmpw6vsdd145-emacs-minimal-27.1/include:/gnu/store/i8h2pcxqdq07ijm3ibkka8f4smn1w48v-bzip2-1.0.8/include:/gnu/store/9860f1abqj8wjjnwl8a9v54pdcc3bhgf-xz-5.2.4/include:/gnu/store/60g7r3l01fd7c58yjbm6krgcwj1jkpwg-file-5.38/include:/gnu/store/swqdvwri9dbv6zssg6v0by7l05hd6wxp-gawk-5.0.1/include:/gnu/store/hm40bxnv8jxmbc1lpb7zfimii4xm9m81-make-4.3/include:/gnu/store/m1z7cdbqsqyp9xnjw5cvlb4a7gkcg3m4-binutils-2.34/include:/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include:/gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/include:/gnu/store/gfapkk5c6hvl1d94m4sqnhn7f9l5gqyh-linux-libre-headers-5.4.20/include'
environment variable `CPLUS_INCLUDE_PATH' set to `/gnu/store/k826y34z8zzjj57jv2nldmpw6vsdd145-emacs-minimal-27.1/include:/gnu/store/i8h2pcxqdq07ijm3ibkka8f4smn1w48v-bzip2-1.0.8/include:/gnu/store/9860f1abqj8wjjnwl8a9v54pdcc3bhgf-xz-5.2.4/include:/gnu/store/60g7r3l01fd7c58yjbm6krgcwj1jkpwg-file-5.38/include:/gnu/store/swqdvwri9dbv6zssg6v0by7l05hd6wxp-gawk-5.0.1/include:/gnu/store/hm40bxnv8jxmbc1lpb7zfimii4xm9m81-make-4.3/include:/gnu/store/m1z7cdbqsqyp9xnjw5cvlb4a7gkcg3m4-binutils-2.34/include:/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++:/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include:/gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/include:/gnu/store/gfapkk5c6hvl1d94m4sqnhn7f9l5gqyh-linux-libre-headers-5.4.20/include'
environment variable `LIBRARY_PATH' set to `/gnu/store/k826y34z8zzjj57jv2nldmpw6vsdd145-emacs-minimal-27.1/lib:/gnu/store/i8h2pcxqdq07ijm3ibkka8f4smn1w48v-bzip2-1.0.8/lib:/gnu/store/9860f1abqj8wjjnwl8a9v54pdcc3bhgf-xz-5.2.4/lib:/gnu/store/60g7r3l01fd7c58yjbm6krgcwj1jkpwg-file-5.38/lib:/gnu/store/swqdvwri9dbv6zssg6v0by7l05hd6wxp-gawk-5.0.1/lib:/gnu/store/m1z7cdbqsqyp9xnjw5cvlb4a7gkcg3m4-binutils-2.34/lib:/gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib:/gnu/store/s3dcqzwqaakv1yx37by9chksdbkgih17-glibc-2.31-static/lib:/gnu/store/hwcky7446s952w0mwchhmm211ll07zrq-glibc-utf8-locales-2.31/lib'
environment variable `GUIX_LOCPATH' set to `/gnu/store/hwcky7446s952w0mwchhmm211ll07zrq-glibc-utf8-locales-2.31/lib/locale'
phase `set-paths' succeeded after 1.0 seconds
starting phase `install-locale'
using 'en_US.utf8' locale for category "LC_ALL"
phase `install-locale' succeeded after 0.0 seconds
starting phase `unpack'
`/gnu/store/j27cwbj0n24lpads813hd5549y4anc7q-emacs-racer-1.2-checkout/.gitignore' -> `./.gitignore'
`/gnu/store/j27cwbj0n24lpads813hd5549y4anc7q-emacs-racer-1.2-checkout/racer.el' -> `./racer.el'
`/gnu/store/j27cwbj0n24lpads813hd5549y4anc7q-emacs-racer-1.2-checkout/.travis.yml' -> `./.travis.yml'
`/gnu/store/j27cwbj0n24lpads813hd5549y4anc7q-emacs-racer-1.2-checkout/Cask' -> `./Cask'
`/gnu/store/j27cwbj0n24lpads813hd5549y4anc7q-emacs-racer-1.2-checkout/CHANGELOG.md' -> `./CHANGELOG.md'
`/gnu/store/j27cwbj0n24lpads813hd5549y4anc7q-emacs-racer-1.2-checkout/README.md' -> `./README.md'
`/gnu/store/j27cwbj0n24lpads813hd5549y4anc7q-emacs-racer-1.2-checkout/Makefile' -> `./Makefile'
`/gnu/store/j27cwbj0n24lpads813hd5549y4anc7q-emacs-racer-1.2-checkout/.ert-runner' -> `./.ert-runner'
`/gnu/store/j27cwbj0n24lpads813hd5549y4anc7q-emacs-racer-1.2-checkout/test/test-helper.el' -> `./test/test-helper.el'
`/gnu/store/j27cwbj0n24lpads813hd5549y4anc7q-emacs-racer-1.2-checkout/test/racer-test.el' -> `./test/racer-test.el'
`/gnu/store/j27cwbj0n24lpads813hd5549y4anc7q-emacs-racer-1.2-checkout/images/racer_goto.gif' -> `./images/racer_goto.gif'
`/gnu/store/j27cwbj0n24lpads813hd5549y4anc7q-emacs-racer-1.2-checkout/images/racer_completion.png' -> `./images/racer_completion.png'
`/gnu/store/j27cwbj0n24lpads813hd5549y4anc7q-emacs-racer-1.2-checkout/images/racer_help.png' -> `./images/racer_help.png'
phase `unpack' succeeded after 0.1 seconds
starting phase `add-source-to-load-path'
source directory "/tmp/guix-build-emacs-racer-1.2.drv-0/source" prepended to the `EMACSLOADPATH' environment variable
phase `add-source-to-load-path' succeeded after 0.0 seconds
starting phase `patch-usr-bin-file'
phase `patch-usr-bin-file' succeeded after 0.0 seconds
starting phase `patch-source-shebangs'
phase `patch-source-shebangs' succeeded after 0.0 seconds
starting phase `patch-generated-file-shebangs'
phase `patch-generated-file-shebangs' succeeded after 0.0 seconds
starting phase `fix-makefile'
phase `fix-makefile' succeeded after 0.0 seconds
starting phase `check'
rm -f racer.elc
make unit
make[1]: Entering directory '/tmp/guix-build-emacs-racer-1.2.drv-0/source'
ert-runner
Package cl is deprecated
..........Test racer--propertize-docstring-footnotes backtrace:

Test racer--propertize-docstring-footnotes condition:

    (ert-test-failed
     ((should
       (equal
	(racer--remove-properties ...)
	"foo str bar

baz."))
      :form
      (equal "foo [strr`] bar

baz." "foo str bar

baz.")
      :value nil :explanation
      (arrays-of-different-length 21 17 "foo [strr`] bar

baz." "foo str bar

baz." first-mismatch-at 4)))

F.Test racer--propertize-docstring-link-after-attribute backtrace:

Test racer--propertize-docstring-link-after-attribute condition:

    (ert-test-failed
     ((should
       (equal
	(racer--remove-properties ...)
	"Result is annotated with the #[must_use] attribute,
by the Write trait"))
      :form
      (equal "Result is annotated with the #[must_use] attribute,
by the `Write` trait" "Result is annotated with the #[must_use] attribute,
by the Write trait")
      :value nil :explanation
      (arrays-of-different-length 72 70 "Result is annotated with the #[must_use] attribute,
by the `Write` trait" "Result is annotated with the #[must_use] attribute,
by the Write trait" first-mismatch-at 59)))

F............

Ran 25 tests in 0.224 seconds
2 unexpected results:
   FAILED  racer--propertize-docstring-footnotes
   FAILED  racer--propertize-docstring-link-after-attribute
make[1]: *** [Makefile:13: unit] Error 1
make[1]: Leaving directory '/tmp/guix-build-emacs-racer-1.2.drv-0/source'
make: *** [Makefile:7: test] Error 2
command "make" "test" "-j" "4" failed with status 2

---
Luis Felipe López Acevedo
https://luis-felipe.gitlab.io/